[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.PrinterName

Name for the selected print device.

## Declaration

Source position: printers.pas line 324

`public property TPrinter.PrinterName : string read GetPrinterName;`

## Description

PrinterName is a read-only String property which contains the name for the currently selected print device. The property value is retrieved from Printers using the value in PrinterIndex. When PrinterIndex contains a negative value, an empty string ('') is returned as the value for the property.

Use SetPrinter to select a print device with a given name in Printers. Or, assign a new value to the PrinterIndex property.

## See also

TPrinter.Printers |  | Contains the names for devices that can be selected for printing.
TPrinter.PrinterIndex |  | Contains the ordinal position in Printers for the selected print device.
TPrinter.SetPrinter |  | Makes the device with the specified name the current printer.